| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::statistics Class Reference
API | Private

structure returned by libdar call to give a summary of the operation done in term of file treated More...

`#include <statistics.hpp>`

## Public Member Functions
| statistics (bool lock=true)
| constructor More...
| statistics (const statistics &ref)
const statistics & | operator= (const statistics &ref)
| ~statistics ()
| destructor
void | clear ()
| reset counters to zero
infinint | total () const
| total number of file treated
void | incr_treated ()
void | incr_hard_links ()
| increment by one the treated counter
void | incr_skipped ()
| increment by one the hard_links counter
void | incr_ignored ()
| increment by one the skipped counter
void | incr_tooold ()
| increment by one the ignored counter
void | incr_errored ()
| increment by one the tooold counter
void | incr_deleted ()
| increment by one the errored counter
void | incr_ea_treated ()
| increment by one the deleted counter
void | incr_fsa_treated ()
| increment by one the ea_treated counter
void | add_to_ignored (const infinint &val)
| increment by one the fsa treated counter
void | add_to_errored (const infinint &val)
| increment the ignored counter by a given value
void | add_to_deleted (const infinint &val)
| increment the errored counter by a given value
void | add_to_byte_amount (const infinint &val)
| increment the deleted counter by a given value
void | sub_from_treated (const infinint &val)
| increment the byte amount counter by a given value
void | sub_from_ea_treated (const infinint &val)
void | sub_from_hard_links (const infinint &val)
void | sub_from_fsa_treated (const infinint &val)
infinint | get_treated () const
infinint | get_hard_links () const
| returns the current value of the treated counter
infinint | get_skipped () const
| returns the current value of the hard_links counter
infinint | get_ignored () const
| returns the current value of the skipped counter
infinint | get_tooold () const
| returns the current value of the ignored counter
infinint | get_errored () const
| returns the current value of the tooold counter
infinint | get_deleted () const
| returns the current value of the errored counter
infinint | get_ea_treated () const
| returns the current value of the deleted counter
infinint | get_byte_amount () const
| returns the current value of the ea_treated counter
infinint | get_fsa_treated () const
| returns the current value of the byte_amount counter
void | decr_treated ()
| returns the current value of the fsa_treated counter
void | decr_hard_links ()
| decrement by one the treated counter
void | decr_skipped ()
| decrement by one the hard_links counter
void | decr_ignored ()
| decrement by one the skipped counter
void | decr_tooold ()
| decrement by one the ignored counter
void | decr_errored ()
| decrement by one the toold counter
void | decr_deleted ()
| decrement by one the errored counter
void | decr_ea_treated ()
| decrement by one the deleted counter
void | decr_fsa_treated ()
| decrement by one the ea_treated counter
void | set_byte_amount (const infinint &val)
| decrement by one the fsa_treated counter
void | dump (user_interaction &dialog) const
| set to the given value the byte_amount counter

## Detailed Description

structure returned by libdar call to give a summary of the operation done in term of file treated

the different fields are used for backup, restoration and other operation their meaning changes a bit depending on the operation. Some operation may not use all fields. To have a detailed view of what fields get used and what

Definition at line 68 of file statistics.hpp.

## Constructor & Destructor Documentation

libdar::statistics::statistics | ( | bool | lock = `true` | ) |
| inline

constructor

Parameters

  [in] | lock | whether to use mutex to manipulate (read or write) variables of that object

Note
  using a statistics object built without lock (false given as argument to the constructor) may lead to application crash if several threads are accessing at the same object at the same time when at least one thread is modifying this object, unless you really know what you are doing, it is better to always use the default value for this constructor or to explicitely give "true" as argument.

Definition at line 78 of file statistics.hpp.

References clear().

The documentation for this class was generated from the following file:

- statistics.hpp